Index: gradle-core/build.gradle
===================================================================
--- gradle-core/build.gradle	(revision 1239)
+++ gradle-core/build.gradle	Tue Feb 24 23:17:05 EST 2009
@@ -173,7 +173,7 @@
 
 test {
     // We set forkmode to ONCE as our tests are written in Groovy and the startup time of Groovy is significant.
-    options.fork(forkMode: ForkMode.ONCE, jvmArgs: ["-ea", "-Dgradle.home=roadToNowhere", '-Xms128m', '-Xmx1g'])
+    options.fork(forkMode: ForkMode.ONCE, jvmArgs: ["-ea", '-Xms128m', '-Xmx1g'])
 }
 
 libs {
Index: gradle-core/src/test/groovy/org/gradle/MainTest.java
===================================================================
--- gradle-core/src/test/groovy/org/gradle/MainTest.java	(revision 1239)
+++ gradle-core/src/test/groovy/org/gradle/MainTest.java	Tue Feb 24 23:22:08 EST 2009
@@ -55,6 +55,7 @@
     // This property has to be also set as system property gradle.home when running this test
     private final static String TEST_GRADLE_HOME = "roadToNowhere";
 
+    private String previousGradleHome;
     private String expectedBuildFileName;
     private String expectedSettingsFileName;
     private File expectedGradleUserHome;
@@ -75,6 +76,8 @@
 
     @Before
     public void setUp() throws IOException {
+        previousGradleHome = System.getProperty("gradle.home");
+        System.setProperty("gradle.home", "roadToNowhere");
         context.setImposteriser(ClassImposteriser.INSTANCE);
         gradleMock = context.mock(Gradle.class);
 
@@ -102,6 +105,11 @@
 
     @After
     public void tearDown() {
+        if (previousGradleHome != null) {
+            System.setProperty("gradle.home", previousGradleHome);
+        } else {
+            System.getProperties().remove("gradle.home");
+        }
         Gradle.injectCustomFactory(null);
     }
 
